public static interface DirectEndpointBuilderFactory.DirectBuilders
| Modifier and Type | Method and Description |
|---|---|
default DirectEndpointBuilderFactory.DirectEndpointBuilder |
direct(String path)
Direct (camel-direct)
Call another endpoint from the same Camel Context synchronously.
|
default DirectEndpointBuilderFactory.DirectEndpointBuilder |
direct(String componentName,
String path)
Direct (camel-direct)
Call another endpoint from the same Camel Context synchronously.
|
default DirectEndpointBuilderFactory.DirectEndpointBuilder direct(String path)
direct:name
Path parameter: name (required)
Name of direct endpointpath - namedefault DirectEndpointBuilderFactory.DirectEndpointBuilder direct(String componentName, String path)
direct:name
Path parameter: name (required)
Name of direct endpointcomponentName - to use a custom component name for the endpoint
instead of the default namepath - nameApache Camel